// import People.Student;
// import People.Professor;
import People.*;
import java.util.*;

public class Course {
  private String code;
  private Professor prof;
  private ArrayList<Student> students; 

  public Course(String pcode, String pname, String institute) {
     code = pcode;
     prof = new Professor(pname, institute);
     students = new ArrayList<Student>();
  }

  private void printStudents() {
     Iterator<Student> iter = students.iterator();
     //
     while (iter.hasNext()) {
         Student s = iter.next();
         System.out.println(" - "+ s.getName() + " ("+ s.getInstitute() + ")");
     }
  } 

  public void addStudent(Student pst) {
      students.add(pst);
  }

  public void printCourse() {
      System.out.println(code+
                         " Professor: "+ prof.getName());
      printStudents();
  }
}