package People;

/**
 * Exemplo de subclasse - Professor herda de Person
 * 
 * @author Moacir
 * @version 0.1
 */
public class Professor extends Person
{
    private String depto;
    private Integer room;
    
    /**
     * Constructor 1 for objects of class Professor
     */
    public Professor(String name, String institute, String depto, int room)
    {        
        super(name,institute);
        this.room = room;
        this.depto = depto;
    }

    /**
     * Constructor 2 for objects of class Professor
     * sets only the superclass atributes
     */
    public Professor(String name, String institute)
    {        
        super(name,institute);
    }

    public void setAddress(String depto, Integer room)
    {
        this.depto = depto;
        this.room = room;
    }

    public String getAddress()
    {
        return "Department: "+depto+" room: "+room;
    }
    
    public void setBirth(int day, int year) {
        birthyear = year; // protected, posso acessar de uma subclasse mas nao de fora da hierarquia
        birthday = day;   // protected e static - compartilhado por todos os objetos 
        System.out.println(birthyear);
        System.out.println(birthday);
    }
}
